Subject: Re: bug#61142: 29.0.60; java-ts-mode - Wrong indentation for the body of multiple lines conditions

From: Theodor Thornhill <[email-masked]>
Date: Sat, 04 Feb 2023 11:45:31 +0100

太阳 <[email-masked]> writes:

> After reading treesit's manual, I found that we can use `n-p-gp` as the matcher
> and `grand-parent` as the anchor to match the body of `if` (and `while`, which
> has a similar issue).
>
> I mean a rule looks like the following:
>
> ```
> ((n-p-gp nil "block" "if_statement") grand-parent java-ts-mode-indent-offset)
> ```
>
>

Thanks!  We have a mechanism in place for this, see
'c-ts-common-statement-offset' in 'c-ts-common.el'.  I didn't get to it
yet, but I'll try to look at it this evening, unless you want to?  See
c-ts-mode for examples of how to use it, if you're interested!

Theo